# Uses of Class
org.opensaml.saml.common.messaging.context.SAMLArtifactContext

Packages that use SAMLArtifactContext
Package
Description
org.opensaml.saml.saml1.binding.artifact
Classes that may be used to create and manipulate SAML 1 artifacts.
org.opensaml.saml.saml2.binding.artifact
Classes that may be used to create and manipulate SAML 2 artifacts.

## Uses of SAMLArtifactContext in org.opensaml.saml.saml1.binding.artifact

Methods in org.opensaml.saml.saml1.binding.artifact that return SAMLArtifactContext
Modifier and Type
Method
Description
`protected SAMLArtifactContext`
SAML1ArtifactType0001Builder.`getArtifactContext(MessageContext requestContext)`
Get the artifact context.
`protected SAMLArtifactContext`
SAML1ArtifactType0002Builder.`getArtifactContext(MessageContext requestContext)`
Get the artifact context.

## Uses of SAMLArtifactContext in org.opensaml.saml.saml2.binding.artifact

Methods in org.opensaml.saml.saml2.binding.artifact that return SAMLArtifactContext
Modifier and Type
Method
Description
`protected SAMLArtifactContext`
SAML2ArtifactType0004Builder.`getArtifactContext(MessageContext requestContext)`
Get the artifact context.